summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2011-08-03 08:11:00 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2011-08-03 08:11:00 +0000
commitb42a675613b0e890007483342e676021d63c8704 (patch)
tree7ae2621efec6f161bed008e4dd4547c1645718f1 /app-misc/g15stats/files
parentVersion bump. (diff)
downloadgentoo-2-b42a675613b0e890007483342e676021d63c8704.tar.gz
gentoo-2-b42a675613b0e890007483342e676021d63c8704.tar.bz2
gentoo-2-b42a675613b0e890007483342e676021d63c8704.zip
Bug #349482: version bump.
(Portage version: 2.2.0_alpha45/cvs/Linux x86_64)
Diffstat (limited to 'app-misc/g15stats/files')
-rw-r--r--app-misc/g15stats/files/g15stats-1.9.7.confd20
-rw-r--r--app-misc/g15stats/files/g15stats-1.9.7.initd24
2 files changed, 44 insertions, 0 deletions
diff --git a/app-misc/g15stats/files/g15stats-1.9.7.confd b/app-misc/g15stats/files/g15stats-1.9.7.confd
new file mode 100644
index 000000000000..4bf61c238488
--- /dev/null
+++ b/app-misc/g15stats/files/g15stats-1.9.7.confd
@@ -0,0 +1,20 @@
+# /etc/conf.d/g15stats: Configuration for the G15 stats
+
+#Gather statistics from named interface (ie eth0)
+#Network Screen displays Total bytes In/Out, history graph, Peak speed.
+IFACE="eth0"
+
+# Please see g15stats --help for meanings
+#TEMP_INPUT=1
+#GLOBAL_TEMP_INPUT=1
+#FAN_INPUT=1
+
+# please see g15stats --help for all options
+# As of 1.9.7, the options where:
+# --unicore
+# --net-scale-absolute
+# --info-rotate
+# --variable-cpu
+# --refresh
+# --disable-freq
+EXTRA_OPTS="${IFACE:+--interface} ${IFACE} ${TEMP_INPUT:+--temperature} ${TEMP_INPUT} ${GLOBAL_TEMP_INPUT:+--global-temp} ${GLOBAL_TEMP_INPUT} ${FAN_INPUT:+--fan} ${FAN_INPUT}"
diff --git a/app-misc/g15stats/files/g15stats-1.9.7.initd b/app-misc/g15stats/files/g15stats-1.9.7.initd
new file mode 100644
index 000000000000..463528964604
--- /dev/null
+++ b/app-misc/g15stats/files/g15stats-1.9.7.initd
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/g15stats/files/g15stats-1.9.7.initd,v 1.1 2011/08/03 08:11:00 robbat2 Exp $
+
+PIDFILE=/var/run/${SVCNAME}.pid
+
+depend() {
+ need g15daemon
+ after xdm
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --background --make-pidfile --pidfile ${PIDFILE} --exec \
+ /usr/bin/g15stats -- "${EXTRA_OPTS}"
+ eend $?
+}
+
+stop() {
+ ebegin "Stoping ${SVCNAME}"
+ start-stop-daemon --stop --pidfile ${PIDFILE} --name g15stats
+ eend $?
+}